Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Distribution: Linux-Mandrake
Vendor: MandrakeSoft
%define perl_arch %(eval `perl '-V:archname'`; echo $archname)
%define initd %{_sysconfdir}/rc.d/init.d
%define pgdata /var/lib/pgsql
%define logrotatedir %{_sysconfdir}/logrotate.d

Summary: PostgreSQL client programs and libraries.
Name: postgresql
Version: 7.0.2
Release: 6mdk
Copyright: BSD
Group: Databases
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source1: http://www.retep.org.uk/postgres/jdbc6.5-1.1.jar
Source2: http://www.retep.org.uk/postgres/jdbc6.5-1.2.jar
Source3: postgresql.init-%{version}
Source6: README.rpm.postgresql-%{version}
Source5: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.gz.md5
Source7: pg-migration-scripts-%{version}.tar.bz2
Source8: logrotate.postgresql-%{version}
Source9: pg_options-%{version}
Source10: http://www.retep.org.uk/postgres/jdbc7.0-1.1.jar
Source11: http://www.retep.org.uk/postgres/jdbc7.0-1.2.jar
Source12: postgresql-dump.1.bz2
Source20: pgmenu.tar.bz2
Patch0: postgresql-%{version}-alpha.patch.bz2
Patch1: rpm-pgsql-7.0.2-1mdk.patch
Patch6: postgresql-6.5.3-perl6.patch.bz2
Prefix: %{_prefix}
Prereq: /sbin/chkconfig /sbin/ldconfig %{_sbindir}/useradd
Url: http://www.postgresql.org/ 
Obsoletes: postgresql-clients
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the client
libraries for C and C++, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package server
Summary: The programs needed to create and run a PostgreSQL server.
Group: Databases
Prereq: %{_sbindir}/useradd
Requires: postgresql = %{version}

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql and postgresql-devel packages.

%package devel
Summary: PostgreSQL development header files and libraries.
Group: Development/Databases
Requires: postgresql = %{version}

%description devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

%package tcl
Summary: A Tcl client library, and the PL/Tcl procedural language for PostgreSQL.
Group: Databases
Requires: tcl >= 8.0, postgresql = %{version}

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the libpgtcl client library,
the pg-enchanced pgtclsh, and the PL/Tcl procedural language for the backend.

%package tk
Summary: Tk shell and tk-based GUI for PostgreSQL.
Group: Databases
Requires: tcl >= 8.0, tk >= 8.0, postgresql = %{version}

%description tk
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tk package contains the pgaccess
program. Pgaccess is a graphical front end, written in Tcl/Tk, for the
psql and related PostgreSQL client programs.


%package odbc
Summary: The ODBC driver needed for accessing a PostgreSQL DB using ODBC.
Group: Databases
Requires: postgresql = %{version}

%description odbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-odbc package includes the ODBC (Open DataBase
Connectivity) driver and sample configuration files needed for
applications to access a PostgreSQL database using ODBC.

%package perl
Summary: Development module needed for Perl code to access a PostgreSQL DB.
Group: Databases
Requires: perl >= 5.600, postgresql = %{version}

%description perl
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-perl package includes a module for developers
to use when writing Perl code for accessing a PostgreSQL database.

#%package plperl
#Summary: The plperl procedural language
#Group: Databases
#Requires: perl >= 5.600, postgresql = %{version}

#%description plperl
#PostgreSQL is an advanced Object-Relational database management
#system. The postgresql-plperl package provides a perl-based
#procedural language.


%package python
Summary: Development module for Python code to access a PostgreSQL DB.
Group: Databases
Requires: python >= 1.5, postgresql = %{version}

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

%package jdbc
Summary: Files needed for Java programs to access a PostgreSQL database.
Group: Databases
Requires: postgresql = %{version}

%description jdbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-jdbc package includes the .jar file needed for
Java programs to access a PostgreSQL database.

%package test
Summary: The test suite distributed with PostgreSQL.
Group: Databases
Requires: postgresql = %{version}

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

%prep
%setup -q 

# The alpha patches are not trivial, so wrap in ifarch-endif block
#
%ifarch alpha
%patch0 -p1
%endif

%patch1 -p1

%patch6 -p0

%build
pushd src
# XXX libtoolize dinna work
# WHAT is 'libtoolize???' LRO
# a program distributed with the libtool package

#cp %{_datadir}/libtool/config.* .
CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
	./configure --enable-hba --enable-locale --prefix=%{_prefix}\
	--enable-multibyte\
	--with-tcl --with-tk --with-x \
	--with-odbc --with-java \
	--with-python --with-template=linux_alpha
%else

./configure --enable-hba --enable-locale  --prefix=%{_prefix}\
	--enable-multibyte \
	--with-tcl --with-tk --with-x \
	--with-odbc --with-java \
	--with-python
%endif

make COPT="$RPM_OPT_FLAGS" all


# pl/perl build, courtesy Karl DeBisschop (Thanks, Karl!)
# disabled in this build due to problems with build.

#pushd pl/plperl
#ar -x %{_libdir}/perl5/5.00503/i386-linux/CORE/libperl.a
#gcc -shared -o libperl.so *.o
#perl Makefile.PL
#make
#popd

pushd interfaces/python
cp %{_libdir}/python1.5/config/Makefile.pre.in .
echo *shared* > Setup
echo _pg pgmodule.c -I../../include -I../libpq -L../libpq -lpq -lcrypt >> Setup
make -f Makefile.pre.in boot
make
popd
popd

make all PGDOCS=unpacked -C doc

pushd src/test
make all
popd

pushd src/interfaces/perl5/
POSTGRES_HOME=""
perl Makefile.PL POLLUTE=1
perl -pi -e "s/^LD_RUN/#LD_RUN/g;" Makefile
make
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/pgsql
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/perl5/site_perl/%{perl_arch}/auto/Pg
make POSTGRESDIR=$RPM_BUILD_ROOT%{_prefix} PREFIX=$RPM_BUILD_ROOT%{_prefix} -C src install
#make POSTGRESDIR=$RPM_BUILD_ROOT%{_prefix} PREFIX=$RPM_BUILD_ROOT%{_prefix} -C src/man install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} -C src/interfaces/perl5 install

# pl/perl....
#make POSTGRESDIR=$RPM_BUILD_ROOT%{_prefix} PREFIX=$RPM_BUILD_ROOT%{_prefix} -C src/pl/plperl install
#cp -v src/pl/plperl/libperl.so $RPM_BUILD_ROOT%{_libdir}/

# Get rid of the packing list generated by the perl Makefile, and build my own...
find $RPM_BUILD_ROOT%{_libdir}/perl5 -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_libdir}/perl5 -name *.bs -exec rm -f {} \;
echo '%defattr(-,root,root)' > perlfiles.list
find $RPM_BUILD_ROOT%{_libdir}/perl5 -type f -print | \
	sed -e "s|$RPM_BUILD_ROOT/|/|g"  | \
	sed -e "s|.*/man/.*|&\*|" > perlfiles.list
find $RPM_BUILD_ROOT%{_libdir}/perl5 -type d -name Pg -print | \
	sed -e "s|$RPM_BUILD_ROOT/|%dir /|g" >> perlfiles.list
make -C doc
#make -C doc man
# Newer man pages from Thomas Lockhart
pushd $RPM_BUILD_ROOT%{_mandir}
tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz

# the postgresql-dump manpage.....
cp %{SOURCE12} man1
popd

# Move all includes beneath %{_includedir}/pgsql.
pushd $RPM_BUILD_ROOT%{_includedir}
rm -rf pgsql/*
for f in *.h access commands executor iodbc lib libpq libpq++ port utils ; do
     mv $f pgsql
done
popd

# copy over the includes needed for SPI development.
pushd src/include
/lib/cpp -M -I. -I../backend executor/spi.h |xargs -n 1|grep \\W|grep -v ^/|grep -v spi.h | sort |cpio -pdu $RPM_BUILD_ROOT%{_includedir}/pgsql
# thank you, cpio....

#fixup directory permissions for SPI stuff...
pushd $RPM_BUILD_ROOT%{_includedir}/pgsql
chmod 755 access catalog executor lib nodes parser rewrite storage tcop utils
popd

popd

# Move all templates/examples beneath %{_libdir}/pgsql
pushd $RPM_BUILD_ROOT%{_libdir}
  mkdir -p pgsql
  mv *.source *.sample *.description pgsql
popd

# Get interface-specific tests and examples, and stuff under %{_libdir}/pgsql
pushd src/interfaces
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/perl5
cp -a perl5/test.pl perl5/eg $RPM_BUILD_ROOT%{_libdir}/pgsql/perl5
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/python
cp -a python/tutorial $RPM_BUILD_ROOT%{_libdir}/pgsql/python
popd

# Get example odbcinst.ini and put in %{_libdir}/pgsql
mv $RPM_BUILD_ROOT%{_prefix}/odbcinst.ini $RPM_BUILD_ROOT%{_libdir}/pgsql

# pgaccess installation
pushd src/bin
install -m 755 pgaccess/pgaccess $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/pgaccess
install -m 644 pgaccess/main.tcl $RPM_BUILD_ROOT%{_libdir}/pgsql/pgaccess
tar cf - pgaccess/lib pgaccess/images | tar xf - -C $RPM_BUILD_ROOT%{_libdir}/pgsql
cp -a pgaccess/doc/html   ../../doc/pgaccess
cp    pgaccess/demo/*.sql ../../doc/pgaccess
popd

# Python
pushd src/interfaces/python
# Makefile.pre.in doesn't yet support .py files anyway, so we stick to a manual installation
  mkdir -p $RPM_BUILD_ROOT%{_libdir}/python1.5/site-packages
  install -m 755 _pgmodule.so *.py $RPM_BUILD_ROOT%{_libdir}/python1.5/site-packages/
popd

# Java/JDBC
# We know that JDK1.2 is pre-beta at this time, so install the JDK1.1-compatible driver
# as well as the JDK1.2 compatible driver.
# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...
# Install 6.5 JDBC jars for now.
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/pgsql
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/pgsql
# Install 7.0 JDBC jars -- in addition to, not replacing 6.5 stuff yet.
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_libdir}/pgsql
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_libdir}/pgsql

chmod 644 $RPM_BUILD_ROOT%{_mandir}/*/*
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*
install -d $RPM_BUILD_ROOT%{initd}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{initd}/postgresql

# Move the PL's to the right place
mv $RPM_BUILD_ROOT%{_libdir}/pl*.so $RPM_BUILD_ROOT%{_libdir}/pgsql

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT%{pgdata}/data

# Initial pg_options
install -m 700 %{SOURCE9} $RPM_BUILD_ROOT%{pgdata}/data/pg_options

# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT%{pgdata}/backups


# tests. There are many files included here that are unnecessary, but include
# them anyway for completeness.

cp -a src/test $RPM_BUILD_ROOT%{_libdir}/pgsql
bzip2 contrib/spi/*.so
bzip2 contrib/spi/preprocessor/step1.e
install -m 0755 src/config.guess $RPM_BUILD_ROOT%{_libdir}/pgsql
install -m 0755 contrib/spi/refint.so* $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
install -m 0755 contrib/spi/autoinc.so* $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress

# Upgrade scripts.
pushd $RPM_BUILD_ROOT
tar xyf %{SOURCE7}
popd

#logrotate script source (which needs WORK)
mkdir -p $RPM_BUILD_ROOT%{logrotatedir}
cp %{SOURCE8} $RPM_BUILD_ROOT%{logrotatedir}/postgres
chmod 0700 $RPM_BUILD_ROOT%{logrotatedir}/postgres


# Fix some more documentation
# no need for the OS2 client
rm -rf contrib/os2client
gzip doc/internals.ps
cp %{SOURCE6} README.rpm

# Symlink libpq.so.2.0 to libpq.so.2.1
pushd $RPM_BUILD_ROOT%{_libdir}
ln -s libpq.so.2.1 libpq.so.2.0
popd

# move a perl man page which ends up in a weird place - sometimes

if [ -a $RPM_BUILD_ROOT%{_libdir}/perl5/man/$RPM_BUILD_ROOT%{_prefix}/Pg.3  ]
then
    mkdir -p $RPM_BUILD_ROOT%{_libdir}/perl5/man/man3 
    mv $RPM_BUILD_ROOT%{_libdir}/perl5/man/$RPM_BUILD_ROOT%{_prefix}/Pg.3 $RPM_BUILD_ROOT%{_libdir}/perl5/man/man3/ 
    rm -fr  $RPM_BUILD_ROOT%{_libdir}/perl5/man/$RPM_BUILD_ROOT 
    perl -pi -e "s@man%{_prefix}/@man/man3/@" $RPM_BUILD_DIR/postgresql-%{version}/perlfiles.list
fi

# remove perllocal.pod from the file list - only occurs with 5.6

perl -pi -e "s/^.*perllocal.pod$//" perlfiles.list

# Strip 'em all
#strip $RPM_BUILD_ROOT%{_bindir}/* || :

perl -p -i -e 's/Pg\.3/Pg\.3\.bz2/g' $RPM_BUILD_DIR/%{name}-%{version}/perlfiles.list


# Fix os.h in the devel package
rm -f $RPM_BUILD_ROOT%{_includedir}/pgsql/os.h
cp src/include/port/linux.h \
	$RPM_BUILD_ROOT%{_includedir}/pgsql/os.h

#Fix README.rpm
perl -pi -e "s|/usr/doc/postgresql-7.0|%{_docdir}/postgresql-7.0.2|g;" \
	README.rpm
perl -pi -e "s|/usr/doc/postgresql-tk-7.0|%{_docdir}/postgresql-tk-7.0.2|g;" \
	README.rpm

pushd $RPM_BUILD_ROOT
tar xvyf %{SOURCE20}
popd
perl -pi -e "s|\[info sharedlibextension\]|.so.2|;" \
	$RPM_BUILD_ROOT/%{_libdir}/pgsql/pgaccess/main.tcl

%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.

if [ $1 -gt 1 ]
then
   mkdir -p %{_libdir}/pgsql/backup > /dev/null
   pushd %{_bindir} > /dev/null
   cp -fp postmaster postgres pg_dump pg_dumpall psql %{_libdir}/pgsql/backup > /dev/null
   popd > /dev/null
   pushd %{_libdir} > /dev/null
   cp -fp libpq.* %{_libdir}/pgsql/backup > /dev/null
   popd > /dev/null
fi

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%pre server
useradd -M -o -r -d %{pgdata} -s /bin/bash \
	-c "PostgreSQL Server" -u 40 postgres >/dev/null 2>&1 || :
touch /var/log/postgresql
chown postgres.postgres /var/log/postgresql
chmod 0700 /var/log/postgresql

%post server
# Check for older PGDATA location.
if [ -f /var/lib/pgsql/PG_VERSION ] && [ -d /var/lib/pgsql/base/template1 ]
then
	export PGDATA=/var/lib/pgsql
else
	export PGDATA=/var/lib/pgsql/data
fi
grep -c "PGDATA" /etc/profile >/dev/null|| \
	echo "export PGDATA=$PGDATA" >> /etc/profile
if [ ! -e /var/lib/pgsql/.bashrc ]; then
	cp /etc/skel/.bashrc /var/lib/pgsql
fi
if [ ! -e /var/lib/pgsql/.bash_profile ]; then
	cp /etc/skel/.bash_profile /var/lib/pgsql
fi
/sbin/ldconfig
if [ $1 = 1 ] ; then
	/sbin/chkconfig --add postgresql
fi
# Restart in the same way that mysqld will be started normally.
if [ "$DURING_INSTALL" = "" ]; then
	/etc/rc.d/init.d/postgresql start
fi

%preun server
/etc/rc.d/init.d/postgresql stop
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del postgresql
fi

%postun server
/sbin/ldconfig
if [ $1 = 0 ] ; then
	userdel postgres >/dev/null 2>&1 || : 
	groupdel postgres >/dev/null 2>&1 || : 
fi

%post -p /sbin/ldconfig odbc
%postun -p /sbin/ldconfig odbc

%post tcl
/sbin/ldconfig 

%postun tcl
/sbin/ldconfig

%post tk
if [ -x %{_bindir}/update-menus ];then
		%{_bindir}/update-menus
fi

#%post -p /sbin/ldconfig plperl
#%postun -p /sbin/ldconfig plperl


%clean
rm -rf $RPM_BUILD_ROOT
rm -f perlfiles.list

%files
%defattr(-,root,root)
%doc doc/FAQ doc/FAQ_Linux doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template doc/FAQ_Linux
%doc doc/unpacked/* 
# %doc doc/*.ps.bz2
# %doc howto
%doc README.rpm
%attr(755,root,root) %{_libdir}/libpq.so.*
%attr(755,root,root) %{_libdir}/libecpg.so.*
%attr(755,root,root) %{_libdir}/libpq++.so.*
%attr(755,root,root) %{_libdir}/libpgeasy.so.*
%{_bindir}/createdb
%{_bindir}/createlang
%{_bindir}/createuser
%{_bindir}/dropdb
%{_bindir}/droplang
%{_bindir}/dropuser
%{_bindir}/pg_dump
%{_bindir}/pg_dumpall
%{_bindir}/pg_id
%{_bindir}/psql
%{_bindir}/vacuumdb
%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/psql.1*
%{_mandir}/manl/*

%files server
%defattr(-,root,root)
%config %{initd}/postgresql
%config %{logrotatedir}/postgres
%{_bindir}/initdb
%{_bindir}/initlocation
%{_bindir}/ipcclean
%{_bindir}/pg_ctl
%{_bindir}/pg_encoding
%{_bindir}/pg_passwd
%{_bindir}/pg_upgrade
%{_bindir}/pg_version
%{_bindir}/postgres
%{_bindir}/postgresql-dump
%{_bindir}/postmaster
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/initlocation.1*
%{_mandir}/man1/ipcclean.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pgadmin.1*
%{_mandir}/man1/pg_passwd.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%{_mandir}/man1/pg_upgrade.1*
%{_mandir}/man1/vacuumdb.1*
%{_mandir}/man1/postgresql-dump.1*
%{_libdir}/pgsql/global1.bki.source
%{_libdir}/pgsql/global1.description
%{_libdir}/pgsql/local1_template1.bki.source
%{_libdir}/pgsql/local1_template1.description
%{_libdir}/pgsql/*.sample
%{_libdir}/pgsql/plpgsql.so
%attr(700,postgres,postgres) %dir %{_libdir}/pgsql/backup
%{_libdir}/pgsql/backup/pg_dumpall_new
%attr(700,postgres,postgres) %dir %{pgdata}/data
%attr(700,postgres,postgres) %{pgdata}/data/pg_options
%attr(700,postgres,postgres) %dir %{pgdata}/backups

%files devel
%defattr(-,root,root)
%{_includedir}/pgsql
%{_bindir}/ecpg
%{_libdir}/lib*.a
%{_mandir}/man1/ecpg.1*
%doc contrib
%attr(755,root,root) %{_libdir}/libpq.so
%attr(755,root,root) %{_libdir}/libecpg.so
%attr(755,root,root) %{_libdir}/libpq++.so
%attr(755,root,root) %{_libdir}/libpgeasy.so
%attr(755,root,root) %{_libdir}/libpgtcl.so
%attr(755,root,root) %{_libdir}/libpsqlodbc.so

%files tcl
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libpgtcl.so.*
%{_bindir}/pgtclsh
%{_mandir}/man1/pgtclsh.1*
%{_libdir}/pgsql/pltcl.so

%files tk
%defattr(-,root,root)
%doc doc/pgaccess/*
%{_libdir}/pgsql/pgaccess
%{_bindir}/pgaccess
%{_bindir}/pgtksh
%{_mandir}/man1/pgaccess.1*
%{_mandir}/man1/pgtksh.1*
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm

%files odbc
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libpsqlodbc.so.*
%{_libdir}/pgsql/odbcinst.ini

%files -f perlfiles.list perl
%defattr(-,root,root)
%dir %{_libdir}/perl5/site_perl/%{perl_arch}/auto
%{_libdir}/pgsql/perl5

#%files plperl
#%{_libdir}/pgsql/plperl.so
#%{_libdir}/libperl.so

%files python
%defattr(-,root,root)
%{_libdir}/python1.5/site-packages/_pgmodule.so
%{_libdir}/python1.5/site-packages/*.py
%{_libdir}/pgsql/python

%files jdbc
%defattr(-,root,root)
%{_libdir}/pgsql/jdbc6.5-1.1.jar
%{_libdir}/pgsql/jdbc6.5-1.2.jar
%{_libdir}/pgsql/jdbc7.0-1.1.jar
%{_libdir}/pgsql/jdbc7.0-1.2.jar

%files test
%defattr(-,postgres,postgres)
%attr(755,postgres,postgres)%{_libdir}/pgsql/config.guess
%{_libdir}/pgsql/test/*


%changelog
* Sun Oct 22 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 7.0.2-6mdk
- create menu for pgaccess [Bug #425]
- modify pgaccess to it does not require libpgtcl.so, but libpgtcl.so.2
- remove postgres group when uninstalling [Bug 921]

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 7.0.2-5mdk
- Remove *.bs before creating filelist

* Sat Sep 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 7.0.2-4mdk
- create database "postgres" if it does not exist already
- if not during Drak install, start postgresql
- copied files from /etc/skel in /var/lib/pgsql
- add PGDATA in /etc/profile 

* Mon Aug 07 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 7.0.2-3mdk
- modified initscripts so that, at upgrade, the user is pointed at the
  right directory for a Howto on how to convert the database from the
  old format.

* Mon Aug 07 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 7.0.2-2mdk
- cleaned package for rpmlint

* Sun Aug 06 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 7.0.2-1mdk
- Merged with RPM from postgresql.com
- Macroized package

* Mon Jun 12 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0.2-2
- Corrected misreporting of version.
- Corrected for non-root build clean script.

* Mon Jun 05 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0.2 
- Postgresql-dump manpage to man1, and to separate source file to facilitate
-- _mandir macro expansion correctness.
- NOTE: The PostScript documentation is no longer being included in the
-- PostgreSQL tarball.  If demand is such, I will pull together a
-- postgresql-ps-docs subpackage or pull in the PostScript docs into the
-- main package.
- RPM patchset has release number, now, to prevent patchfile confusion :-(.


* Sat Jun 03 2000 Lamar Owen <lamar.owen@wgcr.org>
- Incorporate most of Trond's changes (reenabled the alpha
-- patches, as it was a packaging error on my part).
- Trimmed changelog history to Version 7.0beta1 on. To see the
-- previous changelog, grab the 6.5.3 RPM from RedHat 6.2 and pull the spec.
- Rev to 7.0.1 (which incorporates the syslog patch, which has
-- been removed from rpm-pgsql-7.0.1-1.patch)

* Fri May 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disable the alpha patch, as it doesn't apply cleanly
- removed distribution, packager, vendor
- renamed spec file
- don't build pl-perl
- use %%{_mandir}
- now includes vacuumdb.1*

* Thu May 25 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0-3
- Incorporated Tatsuo's syslog segmentation patches
- Incorporated some of Trond's changes (see below)
-- Fixed some Perl 5.6 oddness in Rawhide
- Incorporated some of Karl's changes (see below)
-- PL/Perl should now work.
- Fixed missing /usr/bin/pg_passwd.

* Mon May 22 2000 Karl DeBisschop <kdebisschop@infoplease.com>
- 7.0-2.1
- make plperl module (works for linux i386, your guess for other platforms)
- use "make COPT=" because postgreSQL configusre script ignores CFLAGS

* Sat May 20 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0-2
- pg_options default values changed.
- SPI headers (again!) fixed in a permanent manner  -- hopefully!
- Alpha patches!

* Tue May 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.5.3-2mdk
- fix build for perl 5.6.

* Tue May 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- changed buildroot, removed packager, vendor, distribution
-- [Left all but buildroot as-is for PostgreSQL.org RPMS. LRO]
- don't strip in package [strip in PostgreSQL.org RPMS]
- fix perl weirdnesses (man page in bad location, remove 
  perllocal.pod from file list)

* Mon May 15 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0 final -1
- Man pages restructured
- Changed README.rpm notices about BETA
- incorporated minor changes from testing
- still no 7.0 final alpha patches -- for -2 or -3, I guess.
- 7.0 JDBC jars!

* Sat May 06 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC5-0.5
- UserID of 26 to conform to RedHat Standard, instead of 40.  This only
-- is for new installs -- upgrades will use what was already there.
- Waiting on built jar's of JDBC.  If none are forthcoming by release,
-- I'm going to have to bite the bullet and install the jdk....

* Mon May 01 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC2-0.5
- Fixed /usr/src/redhat/BUILD path to $RPM_BUILD_DIR for portability
-- and so that RPM's can be built by non-root.
- Minor update to README.rpm

* Tue Apr 18 2000 Lamar Owen <lamar.owen@wgcr.org>
- 0.6
- Fixed patchset: wasn't patching pgaccess or -i in postmaster.opts.default
- minor update to README.rpm

* Mon Apr 17 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC1-0.5 (release candidate 1.)
- Fixed SPI header directories' permisssions.
- Removed packaging of Alpha patches until Ryan releases RC1-tested set.

* Mon Apr 10 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta5-0.1 (released instead of the release candidate)

* Sat Apr 08 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta4-0.2 (pre-release-candidate CVS checkout)
- Alpha patches!
- pg_options.sample

* Sun Apr 2 2000 John Buswell <johnb@mandrakesoft.com> 6.5.3-1mdk
- 6.5.3
- Sparc64 patch added
- spec-helper
- fixed groups

* Fri Mar 24 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta3-0.1

* Mon Feb 28 2000 Lamar Owen <lamar.owen@wgcr.org>
- Release 0.3
- Fixed stderr redir problem in init script
- Init script now uses pg_ctl to start postmaster
- Packaged inital pg_options for good logging
- built with timestamped logging.

* Tue Feb 22 2000 Lamar Owen <lamar.owen@wgcr.org>
- Initial 7.0beta1 build
- Moved PGDATA to /var/lib/pgsql/data
- First stab at logging and logrotate functionality -- test carefully!
- -tcl subpackage split -- tcl client and pltcl lang separated from
-- the Tk stuff.  PgAccess and the tk client are now in the -tk subpackage.
- No patches for Alpha as yet.

